using Dakota.Space;

namespace Dakota.Data
{
    public enum ProjectileType
    {
        Bullet,
        Beam
    }

    public class PrimaryWeapon
    {
        public static PrimaryWeapon Gun = new PrimaryWeapon
            {Name = "MASS DRIVER", Projectile = ProjectileType.Bullet, Speed = 200f, Duration = 2};

        public static PrimaryWeapon Beam = new PrimaryWeapon
            {Name = "PHASE BEAM", Projectile = ProjectileType.Beam, Speed = 100f, Duration = 0.2f};

        public float Duration;
        public string Name;
        public ProjectileType Projectile;
        public float Speed;
    }
}