using Microsoft.Xna.Framework;
using Nez;

namespace Inky.Skeletron
{
    
    public class Rectangle : Shape
    {
        public override int HalfHeight => Height/2;
        public override int HalfWidth => Width/2;

        public int Width;
        public int Height;

        public Rectangle(int width, int height)
        {
            Width = width;
            Height = height;
        }

        public override void Draw(Batcher batcher, float x, float y, Color color)
        {
            batcher.DrawHollowRect(x - Width/2f,y - Height/2f, Width, Height, color, 2f);
            DrawChildren(batcher, x, y, Color.Black);
        }

    }
}